来源树系的ActiveDirectory架构版本与这台电脑的版本不相容

来源树系的ActiveDirectory架构版本与这台电脑的版本不相容

* 来源: * 作者: * 发表时间: 2020-04-14 23:24:35 * 浏览: 5

问题:关于来源树系的Active Directory架构版本与这台电脑的版本不相容的问题。情况是这样的,境: lab1为公司现有的主域控制器,系统为繁体 windows 2000 sp4。同时安装有dhcp,dns,wins相关服务。lab2公司的额外域控制器,系统为繁体windows 2003 sp2,同时也安装有dns,wins相关服务,而且是公司的邮件服务器MS Exchange 2003 sp2.

需求: 准备升级现有的主域控制器。具体步骤:把FSMO角色转移至额外域控制器lab2上,把主域服务器lab1降级为成员服务器,把主域服务器lab1重新安装系统。

问题: 由于公司现有的windows 2003安装光盘在服务器上安装时老是提示少一个文件(具体文件名一个子忘记了)会导致系统无法登进桌面的,所以在分公司要了一个windos 2003 R2的安装光盘,但在提升为额外域控制器时报错: 来源树系的Active Directory架构版本与这台电脑的版本不相容,可是我在lab2上也用windows 2003 R2进行了森林及域的扩展。请高手指教。

回答:通过搜索相关的资料,找到了解决此问题的方法,做了prep。其实应该用 windows 2003 R2第二张盘上的,执行文件目录如下:adprep/forestprep Drive:\CMPNENTS\R2\ADPREP\adprep.exe ,本人一直在第一张光盘上执行adprep,所以架构扩展失败。最后祝大家好运。